
import { useState } from 'react'
import Taro from '@tarojs/taro'

import { View, Image, Input, Text } from '@tarojs/components'
import CustomNav from '@/components/CustomNav'
import ButtontWX from '@/components/ButtontWX'
import checkedImg from '@/assets/lolginImages/checkedImg.png'
import unselectedImg from '@/assets/lolginImages/unselectedImg.png'

import './style.less'


export default (props) => {

  const [countCenter, setCountCenter] = useState({
    count: 10,
    toast: false,
    show_btn: false,
    code_ts: '获取验证码'
  })

  const [checkImage, setCheckImage] = useState(false)
  const [InputCodeValue, setInputCodeValue] = useState('')

  const InputCode = (r) => {
    setInputCodeValue(r.detail.value)
  }

  const getCode = (r) => {
    if (InputCodeValue === '' || !(/^1[3456789]\d{9}$/.test(InputCodeValue))) {
      // 这里验证一下号码格式是否正确，为空或者不正常都提示一下，然后激活提示控件true，其他的框架提示控件同理
      console.log('提示')
      Taro.showToast({
        title: '手机号码有误',
        icon: 'none',
        duration: 2000
      })

    } else {
      // 这里写一个定时器就可以去更新灰色按钮的内容而且show_btn是false时会出现灰色按钮，当倒计时结束又变成可以触发的按钮
      let count = countCenter.count
      const timer = setInterval(() => {
        setCountCenter({
          count: (count--),
          show_btn: true,
          code_ts: count + '秒后重发'
        }, () => {
          if (count == 0) {
            clearInterval(timer)
            setCountCenter({
              show_btn: false,
              count: 60,
              code_ts: '获取验证码'
            })
          }
        })
      }, 1000)
    }
  }



  const getUserLogin = () => {
    if (!checkImage) {
      Taro.showToast({
        title: '下方协议未勾选',
        icon: 'none',
        duration: 2000
      })
    }
  }



  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='登陆' />
      </View>
      <View className='loginBackImg-box' >
        <Image src={require("@/assets/lolginImages/backLogin.png")} />

        <View className='loginhallo-text'>
          <View>您好！</View>
          <View>欢迎进入农户端小程序！</View>
        </View>
        <View>
          <View className='loginPhone-box' >
            <View className='loginPhone-box-loginPhoneView'>+86</View>
            <Input maxlength={11} placeholder='请输入手机号码' type={Number} onInput={InputCode} />
            <ButtontWX disabled={countCenter.show_btn} onClick={getCode} butText={countCenter.code_ts} butWidth={94} butHeight={34} butFontSize={15} butBorderRadius={10} />
          </View>
          <View className='loginPhone-box'>
            <View className='loginPhone-box-loginPhoneView'>
              <Image style={{ width: '16px', height: '20px', margin: 'auto 2.8vw auto 2.8vw' }} src={require("@/assets/lolginImages/phoneCode.png")} />
            </View>
            <Input maxlength={10} placeholder='请输入验证码' />
          </View>
        </View>
      </View>
      <View className='BottomtButrelative'  >
        <ButtontWX onClick={getUserLogin} butText='登陆' butWidth={315} butHeight={49} butFontSize={16} butBorderRadius={49} />
      </View>
      <View className='bottom-agreement'>
        <Image src={!checkImage ? checkedImg : unselectedImg} onClick={() => { setCheckImage(!checkImage) }} />
        <View>
          请认真查看<Text style={{ color: '#CE3800' }}>文本协议/隐私政策</Text>，确认之后选择此项！
        </View>
      </View>

    </View>
  )
}
