

const Pages = [
  {
    title: '首页',
    page: 'pages/index/index',
    isIndex: true,
  },
  {
    title: '订单详情',
    page: 'pages/OrderInfo/index',
  },
  {
    title: '登陆页',
    page: 'pages/UserLogin/index',
  },
  {
    title: '我的地址',
    page: 'pages/MyAddressInfo/index',
  },
  {
    title: '关于我们',
    page: 'pages/AboutUsPage/index',
  },
  {
    title: '版本更新',
    page: 'pages/NewVersionUpdatePage/index',
  },
  {
    title: '帮助中心',
    page: 'pages/HelpCenterInfo/index',
  },
  {
    title: '意见反馈',
    page: 'pages/FeedbackText/index',
  },
  {
    title: '农机列表',
    page: 'pages/MoreCars/index',
  },

];


// 所有的页面
const routes = Pages.map(x => ({ ...x, }))

// 主包
const pages = Pages.map(x => x.page);

// 分包
const subPages = routes.reduce((acc, route) => {
  if (!route.root) return acc;

  const pgs = acc[route.root] || []

  return {
    ...acc,
    [route.root]: pgs.concat(route.page)
  }
}, {})

const subPackages = Object.keys(subPages).map((key) => {
  return {
    root: key,
    pages: subPages[key]
  }
})

// 获取路径对应页面
function getPageBy (path) {
  return routes.filter(x => path.indexOf(x.page) > -1)[0]
}

// 获取角色首页
function getIndexPageOf (role) {
  if (role === 'person') {
    return routes.filter(x => !x.root && x.isIndex)[0]
  }

  return routes.filter(x => x.root === role && x.isIndex)[0]
}

// eslint-disable-next-line import/no-commonjs
module.exports = {
  routes,
  pages,
  subPackages,
  getPageBy,
  getIndexPageOf
}
